<?php
/**
* Noting Found Page Settings.
*
* @package Event Decorations
*/

$event_decorations_default = event_decorations_get_default_theme_options();

$wp_customize->add_section( 'event_decorations_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Noting Found Page Settings', 'event-decorations' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'event_decorations_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'event_decorations_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'event-decorations' ),
        'section'  => 'event_decorations_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'event_decorations_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'event-decorations' ),
        'section'  => 'event_decorations_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('event_decorations_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'event_decorations_sanitize_checkbox',
    )
);
$wp_customize->add_control('event_decorations_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'event-decorations'),
        'section' => 'event_decorations_noting_found_page_settings',
        'type' => 'checkbox',
    )
);